Extending Qt Creator Manual | DeviceProcessList

Extending Qt Creator Manual 4.5.2

# DeviceProcessList Class

(ProjectExplorer::DeviceProcessList)

- List of all members, including inherited members

## Public Functions

| DeviceProcessList(const IDevice::ConstPtr &device, QObject *parent = 0)
| ~DeviceProcessList() override
DeviceProcessItem | at(int row) const
void | killProcess(int row)
void | update()

## Signals

void | error(const QString &errorMsg)
void | processKilled()
void | processListUpdated()

## Static Public Members

QList<DeviceProcessItem> | localProcesses()

## Protected Functions

IDevice::ConstPtr | device() const
void | reportError(const QString &message)
void | reportProcessKilled()
void | reportProcessListUpdated(const QList<DeviceProcessItem> &processes)

## Member Function Documentation

### DeviceProcessList::DeviceProcessList(const IDevice::ConstPtr &device, QObject *parent = 0)

Default constructs an instance of DeviceProcessList.

### DeviceProcessList::~DeviceProcessList()

Destroys the instance of DeviceProcessList.

### DeviceProcessItem DeviceProcessList::at(int row) const

### `[protected]` IDevice::ConstPtr DeviceProcessList::device() const

### `[signal]` void DeviceProcessList::error(const QString &errorMsg)

### void DeviceProcessList::killProcess(int row)

### `[static]` QList<DeviceProcessItem> DeviceProcessList::localProcesses()

### `[signal]` void DeviceProcessList::processKilled()

### `[signal]` void DeviceProcessList::processListUpdated()

### `[protected]` void DeviceProcessList::reportError(const QString &message)

### `[protected]` void DeviceProcessList::reportProcessKilled()

### `[protected]` void DeviceProcessList::reportProcessListUpdated(const QList<DeviceProcessItem> &processes)

### void DeviceProcessList::update()